# IncomingDataQueueBase Class Reference
[Base classes for RTP queues.]

`#include <queuebase.h>`

Inheritance diagram for IncomingDataQueueBase:

List of all members.

## Public Member Functions

size_t | getDefaultMaxRecvPacketSize () const
size_t | getMaxRecvPacketSize () const
void | setMaxRecvPacketSize (size_t maxsize)

## Protected Member Functions

| IncomingDataQueueBase ()
virtual | ~IncomingDataQueueBase ()

## Detailed Description

Author:
  Federico Montesino Pouzols <fedemp@altern.org>

## Constructor & Destructor Documentation

IncomingDataQueueBase::IncomingDataQueueBase | ( | ) | `[inline, protected]`

virtual IncomingDataQueueBase::~IncomingDataQueueBase | ( | ) | `[inline, protected, virtual]`

## Member Function Documentation

size_t IncomingDataQueueBase::getDefaultMaxRecvPacketSize | ( | ) | const`[inline]`

size_t IncomingDataQueueBase::getMaxRecvPacketSize | ( | ) | const`[inline]`

void IncomingDataQueueBase::setMaxRecvPacketSize | ( | size_t | maxsize ) | `[inline]`

Parameters:

  maxsize | maximum length of received RTP data packets, in octets. Defaults to the value returned by getDefaultMaxRecvPacketSize().

Note:
  This method sets a filter for incoming packets. Setting higher values does not necessarily imply higher memory usage (this method does not set any buffer size).

The documentation for this class was generated from the following file:

- queuebase.h